UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Namespaces | Typedefs | Functions
device_addr.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/types/dict.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <stdexcept>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes
class | uhd::device_addr_t

## Namespaces
| uhd

## Typedefs
typedef std::vector < device_addr_t > | uhd::device_addrs_t
| A typedef for a vector of device addresses. More...

## Functions
UHD_API device_addrs_t | uhd::separate_device_addr (const device_addr_t &dev_addr)
| Separate an indexed device address into a vector of device addresses. More...
UHD_API device_addr_t | uhd::combine_device_addrs (const device_addrs_t &dev_addrs)
| Combine a vector of device addresses into an indexed device address. More...